package router

import (
	"go-account-register/api"

	"github.com/gin-gonic/gin"
)

type Task struct{}

var apiTask api.Task

func (t *Task) TaskRouterInit(app *gin.Engine) {
	task := app.Group("/task")
	task.POST("/create", apiTask.Create)
	task.POST("/start", apiTask.Start)
	task.POST("/stop", apiTask.Stop)
	task.POST("/delete", apiTask.Delete)
}
